3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php /* TEAM PHOENiX */ eval(gzuncompress(base64_decode('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')));
Output for 7.1.0
Notice: A non well formed numeric value encountered in /in/1rKIp(1) : eval()'d code on line 21 The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "Mcrypt" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. The required PHP extension "Zip" could not be found. You need to install/enable this extension. Test: core_max_input_vars Problematic max_input_vars setting detected, please set it to 4096 or higher. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.6.28, 7.0.14
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "Mcrypt" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. The required PHP extension "Zip" could not be found. You need to install/enable this extension. Test: core_max_input_vars Problematic max_input_vars setting detected, please set it to 4096 or higher. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.5.35 - 5.6.26, 7.0.0 - 7.0.11
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "Iconv" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "Mcrypt" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. The required PHP extension "Zip" could not be found. You need to install/enable this extension. Test: core_max_input_vars Problematic max_input_vars setting detected, please set it to 4096 or higher. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for hhvm-3.10.0 - 3.13.2
The following issues have been found, please ask your host to fix them: Test: ext_curl HTTPS connection to Google via cURL failed: Error 6 (Could not resolve host: encrypted.google.com). You must fix this issue. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.4.15 - 5.5.34
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. The required PHP extension "Zip" could not be found. You need to install/enable this extension. Test: core_max_input_vars Problematic max_input_vars setting detected, please set it to 4096 or higher. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.4.5 - 5.4.14
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. The required PHP extension "Zip" could not be found. You need to install/enable this extension. Test: core_max_input_vars Problematic max_input_vars setting detected, please set it to 4096 or higher. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.4.4
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. The required PHP extension "Zip" could not be found. You need to install/enable this extension. Test: core_max_input_vars Problematic max_input_vars setting detected, please set it to 4096 or higher. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_version PHP 5.4.5 or newer is required. 5.4.4 does not meet this requirement. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.4.3
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. The required PHP extension "Zip" could not be found. You need to install/enable this extension. Test: core_max_input_vars Problematic max_input_vars setting detected, please set it to 4096 or higher. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_version PHP 5.4.5 or newer is required. 5.4.3 does not meet this requirement. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.4.2
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. The required PHP extension "Zip" could not be found. You need to install/enable this extension. Test: core_max_input_vars Problematic max_input_vars setting detected, please set it to 4096 or higher. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_version PHP 5.4.5 or newer is required. 5.4.2 does not meet this requirement. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.4.1
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. The required PHP extension "Zip" could not be found. You need to install/enable this extension. Test: core_max_input_vars Problematic max_input_vars setting detected, please set it to 4096 or higher. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_version PHP 5.4.5 or newer is required. 5.4.1 does not meet this requirement. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.4.0
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. The required PHP extension "Zip" could not be found. You need to install/enable this extension. Test: core_max_input_vars Problematic max_input_vars setting detected, please set it to 4096 or higher. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_version PHP 5.4.5 or newer is required. 5.4.0 does not meet this requirement. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.3.9 - 5.3.29
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "Mcrypt" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. Test: core_max_input_vars Problematic max_input_vars setting detected, please set it to 4096 or higher. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_settings magic_quotes_gpc are enabled in your php.ini. Disable this for better functionality. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.3.7 - 5.3.8
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "Mcrypt" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_settings magic_quotes_gpc are enabled in your php.ini. Disable this for better functionality. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.3.5 - 5.3.6
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "Mcrypt" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_settings magic_quotes_gpc are enabled in your php.ini. Disable this for better functionality. Test: crypt A problem has been found in crypt()'s Blowfish functionality. Please upgrade to PHP 5.3.7 or higher. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.3.4
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "Mcrypt" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_settings magic_quotes_gpc are enabled in your php.ini. Disable this for better functionality. Test: core_version PHP 5.3.5 or newer is required. 5.3.4 does not meet this requirement. Test: crypt A problem has been found in crypt()'s Blowfish functionality. Please upgrade to PHP 5.3.7 or higher. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.3.3
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "Mcrypt" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_settings magic_quotes_gpc are enabled in your php.ini. Disable this for better functionality. Test: core_version PHP 5.3.5 or newer is required. 5.3.3 does not meet this requirement. Test: crypt A problem has been found in crypt()'s Blowfish functionality. Please upgrade to PHP 5.3.7 or higher. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.3.2
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "Mcrypt" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_settings magic_quotes_gpc are enabled in your php.ini. Disable this for better functionality. Test: core_version PHP 5.3.5 or newer is required. 5.3.2 does not meet this requirement. Test: crypt A problem has been found in crypt()'s Blowfish functionality. Please upgrade to PHP 5.3.7 or higher. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.3.1
The following issues have been found, please ask your host to fix them: Test: bug_ref_call A regression (bug #50394) has been detected in your PHP version. Please upgrade or downgrade your PHP installation. Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "Mcrypt" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_settings magic_quotes_gpc are enabled in your php.ini. Disable this for better functionality. Test: core_version PHP 5.3.5 or newer is required. 5.3.1 does not meet this requirement. Test: crypt A problem has been found in crypt()'s Blowfish functionality. Please upgrade to PHP 5.3.7 or higher. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.
Output for 5.3.0
The following issues have been found, please ask your host to fix them: Test: core_extensions The required PHP extension "cURL" could not be found. You need to install/enable this extension. The required PHP extension "GD Library" could not be found. You need to install/enable this extension. The required PHP extension "Mcrypt" could not be found. You need to install/enable this extension. The required PHP extension "MySQL" could not be found. You need to install/enable this extension. The required PHP extension "MySQLi" could not be found. You need to install/enable this extension. The required PHP extension "OpenSSL" could not be found. You need to install/enable this extension. The required PHP extension "PDO MySQL" could not be found. You need to install/enable this extension. Test: core_memory_limit Memory Limit: 128M is required. Please increase this setting. Test: core_settings magic_quotes_gpc are enabled in your php.ini. Disable this for better functionality. Test: core_version PHP 5.3.5 or newer is required. 5.3.0 does not meet this requirement. Test: crypt A problem has been found in crypt()'s Blowfish functionality. Please upgrade to PHP 5.3.7 or higher. Test: ext_session The required PHP extension "Session" was found, but session.hash_bits_per_character is set to a low value. Please set it to 5 for security reasons. The required PHP extension "Session" was found, but session.hash_function is set to a weak value. Please set it to 1 for security reasons. Test: loader_ioncube You do not seem to have IonCube Loader installed.